:root{
    --backgroundColor: #1e1e1e;
    --font: 'Roboto', sans-serif;
    --formBackgroundColor: #f2f2f2;
    --orange: #e35208;
    --purple: #2c004c;
    --lightPurple: #3f003f;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a,li{
    list-style-type: none;
    text-decoration: none;
}

button{
    cursor: pointer;
}

.container{
    max-width: 1400px;
    width: 100%;
    margin: auto;
}

.clear{
    clear: both;
}


header{
    width: 100%;
    height: 70px;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    color: #fff;
    background-color: #1e1e1e;
}

.header-inner{
    width: 100%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 20px;
}

.header-inner i{
    width: 250px;
}

.header-inner a{
    color: #fff;
}

.header-inner::after{
    content: '';
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 1px;
      background: linear-gradient(to right, #3f003f, #2c004c); 
}

.header-inner i{
    cursor: pointer;
}

.header-inner__btns{
    width: 250px;
    display:flex;
    align-items: center;
    justify-content: right;
}

.header-inner__btns p{
    cursor: pointer;
}

.header-inner__btns button{
    width: 120px;
    height: 30px;
    background-color: transparent;
    color: var(--formBackgroundColor);
    border:2px solid var(--formBackgroundColor);
    font-size: 16px;
    letter-spacing: 1px;
    transition: 0.5s all ease;
}

.header-inner__btns button:hover{
    border-color: var(--lightPurple);
    color: var(--lightPurple);
}

.header-inner__lines{
    width: 30px;
    height: 20px;
    display: none;
    transition: all 0.5s ease;
}

.header-lines__line{
    width: 100%;
    height: 3px;
    background-color: #fff;
}

.header-inner__nav{
    width: 500px;
    left: -50%;
}

.header-inner__nav ul{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

@media screen and (max-width: 360px) {
    .container{
        max-width: 300px;
    }
    
    .main-inner__img{
        width: 100%;
        background-size: contain;
    }

    .header-inner__nav{
        display: none;
    }

    .header-inner i{
        display: none;
    }

    .header-inner__lines{
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: space-between;
        transition: all 0.5s ease;
        z-index: 10;
    }

    .small-menu{
        width: 50%;
        height: 100vh;
        z-index: 9;
        background-color: var(--backgroundColor);
        position: absolute;
        top: 0;
        display: block;
        transition: all 0.5s ease;
    }

    .small-menu ul{
        margin-top: 100px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .small-menu ul li{
        padding-bottom: 15px;
    }

    .active{
        justify-content: center;
        transition: all 0.5s ease;
    }

    .active .header-lines__line:first-child{
        display: none;
    }

    .active .header-lines__line:nth-child(2){
        transform: rotate(45deg);
        transition: all 0.5s ease;
    }

    .active .header-lines__line:nth-child(3){
        transform: rotate(-45deg);
        transition: all 0.5s ease;
    }
    
}

@media screen and (max-width: 600px) {
    header{
        width: 600px;
    }
    .container{
        max-width: 500px;
    }
    
    .main-inner__img{
        width: 100%;
        background-size: contain;
    }

    .header-inner__nav{
        display: none;
    }

    .header-inner i{
        display: none;
    }

    .header-inner__lines{
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: space-between;
        transition: all 0.5s ease;
        z-index: 10;
    }

    .small-menu{
        width: 50%;
        height: 100vh;
        z-index: 9;
        background-color: var(--backgroundColor);
        position: absolute;
        top: 0;
        display: block;
        transition: all 0.5s ease;
    }

    .small-menu ul{
        margin-top: 100px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .small-menu ul li{
        padding-bottom: 15px;
    }

    .active{
        justify-content: center;
        transition: all 0.5s ease;
    }

    .active .header-lines__line:first-child{
        display: none;
    }

    .active .header-lines__line:nth-child(2){
        transform: rotate(45deg);
        transition: all 0.5s ease;
    }

    .active .header-lines__line:nth-child(3){
        transform: rotate(-45deg);
        transition: all 0.5s ease;
    }
    
}